
package com.tmerclub.cloud.common.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团活动表VO
 *
 * @author YXF
 * @date 2021-03-20 10:39:31
 */
public class GroupActivitySpuVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团活动id")
    private Long groupActivityId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "成团人数")
    private Integer groupNumber;

    @Schema(description = "已成团人数（统计）")
    private Long groupOrderCount;

    @Schema(description = "商品价格（sku最低价）")
    private Long price;

    @Schema(description = "活动开始时间")
    private Long startTime;

    @Schema(description = "活动状态")
    private Integer status;

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getGroupActivityId() {
        return groupActivityId;
    }

    public void setGroupActivityId(Long groupActivityId) {
        this.groupActivityId = groupActivityId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Long getGroupOrderCount() {
        return groupOrderCount;
    }

    public void setGroupOrderCount(Long groupOrderCount) {
        this.groupOrderCount = groupOrderCount;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "GroupActivitySpuVO{" +
                "groupActivityId=" + groupActivityId +
                ", spuId=" + spuId +
                ", groupNumber=" + groupNumber +
                ", groupOrderCount=" + groupOrderCount +
                ", price=" + price +
                ", startTime=" + startTime +
                '}';
    }
}
